# ZoneMarshaller.ZoneMoveMarshaller (vilya 1.3 API)
Date: 2011-04-06

## com.threerings.whirled.zone.data
Class ZoneMarshaller.ZoneMoveMarshaller

    java.lang.Object
      com.threerings.presents.data.InvocationMarshaller.ListenerMarshaller
          com.threerings.whirled.zone.data.ZoneMarshaller.ZoneMoveMarshaller

All Implemented Interfaces:
  com.threerings.io.Streamable, com.threerings.presents.client.InvocationService.InvocationListener, ZoneService.ZoneMoveListener

Enclosing class:
  ZoneMarshaller

    public static class ZoneMarshaller.ZoneMoveMarshaller

extends com.threerings.presents.data.InvocationMarshaller.ListenerMarshaller
implements ZoneService.ZoneMoveListener

Marshalls results to implementations of `ZoneService.ZoneMoveListener`.

Nested Class Summary

Nested classes/interfaces inherited from interface com.threerings.io.Streamable
`com.threerings.io.Streamable.Closure`

Field Summary
`static int` `MOVE_REQUIRES_SERVER_SWITCH` The method id used to dispatch `moveRequiresServerSwitch(java.lang.String, int[])` responses.
`static int` `MOVE_SUCCEEDED` The method id used to dispatch `moveSucceeded(int, com.threerings.crowd.data.PlaceConfig, com.threerings.whirled.zone.data.ZoneSummary)` responses.
`static int` `MOVE_SUCCEEDED_WITH_SCENE` The method id used to dispatch `moveSucceededWithScene(int, com.threerings.crowd.data.PlaceConfig, com.threerings.whirled.zone.data.ZoneSummary, com.threerings.whirled.data.SceneModel)` responses.
`static int` `MOVE_SUCCEEDED_WITH_UPDATES` The method id used to dispatch `moveSucceededWithUpdates(int, com.threerings.crowd.data.PlaceConfig, com.threerings.whirled.zone.data.ZoneSummary, com.threerings.whirled.data.SceneUpdate[])` responses.

Fields inherited from class com.threerings.presents.data.InvocationMarshaller.ListenerMarshaller
`callerOid, listener, mapStamp, omgr, REQUEST_FAILED_RSPID, requestId, transport`

Constructor Summary
`ZoneMarshaller.ZoneMoveMarshaller()`

Method Summary
`void` `dispatchResponse(int methodId, Object[] args)`
`void` `moveRequiresServerSwitch(String arg1, int[] arg2)` Indicates that the client must switch to the specified server and reissue its move request in order to relocate to its desired zone.
`void` `moveSucceeded(int arg1, com.threerings.crowd.data.PlaceConfig arg2, ZoneSummary arg3)` Called in response to a successful `ZoneService.moveTo(int, int, int, com.threerings.whirled.zone.client.ZoneService.ZoneMoveListener)` request.
`void` `moveSucceededWithScene(int arg1, com.threerings.crowd.data.PlaceConfig arg2, ZoneSummary arg3, SceneModel arg4)` Called in response to a successful `ZoneService.moveTo(int, int, int, com.threerings.whirled.zone.client.ZoneService.ZoneMoveListener)` request when our cached scene was out of date and the server determined that we needed an updated copy.
`void` `moveSucceededWithUpdates(int arg1, com.threerings.crowd.data.PlaceConfig arg2, ZoneSummary arg3, SceneUpdate[] arg4)` Called in response to a successful `ZoneService.moveTo(int, int, int, com.threerings.whirled.zone.client.ZoneService.ZoneMoveListener)` request when our cached scene was out of date and the server determined that we needed some updates.

Methods inherited from class com.threerings.presents.data.InvocationMarshaller.ListenerMarshaller
`requestFailed, setInvocationId, setNoResponse, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.threerings.presents.client.InvocationService.InvocationListener
`requestFailed`

Field Detail

### MOVE_REQUIRES_SERVER_SWITCH

    public static final int MOVE_REQUIRES_SERVER_SWITCH

  The method id used to dispatch `moveRequiresServerSwitch(java.lang.String, int[])` responses.

  See Also:
    Constant Field Values

### MOVE_SUCCEEDED

    public static final int MOVE_SUCCEEDED

  The method id used to dispatch `moveSucceeded(int, com.threerings.crowd.data.PlaceConfig, com.threerings.whirled.zone.data.ZoneSummary)` responses.

  See Also:
    Constant Field Values

### MOVE_SUCCEEDED_WITH_SCENE

    public static final int MOVE_SUCCEEDED_WITH_SCENE

  The method id used to dispatch `moveSucceededWithScene(int, com.threerings.crowd.data.PlaceConfig, com.threerings.whirled.zone.data.ZoneSummary, com.threerings.whirled.data.SceneModel)` responses.

  See Also:
    Constant Field Values

### MOVE_SUCCEEDED_WITH_UPDATES

    public static final int MOVE_SUCCEEDED_WITH_UPDATES

  The method id used to dispatch `moveSucceededWithUpdates(int, com.threerings.crowd.data.PlaceConfig, com.threerings.whirled.zone.data.ZoneSummary, com.threerings.whirled.data.SceneUpdate[])` responses.

  See Also:
    Constant Field Values

Constructor Detail

### ZoneMarshaller.ZoneMoveMarshaller

    public ZoneMarshaller.ZoneMoveMarshaller()

Method Detail

### moveRequiresServerSwitch

    public void moveRequiresServerSwitch(String arg1,
                                         int[] arg2)

  Description copied from interface: `ZoneService.ZoneMoveListener`
  Indicates that the client must switch to the specified server and reissue its move request in order to relocate to its desired zone.

  Specified by:
    `moveRequiresServerSwitch` in interface `ZoneService.ZoneMoveListener`

### moveSucceeded

    public void moveSucceeded(int arg1,
                              com.threerings.crowd.data.PlaceConfig arg2,
                              ZoneSummary arg3)

  Description copied from interface: `ZoneService.ZoneMoveListener`
  Called in response to a successful `ZoneService.moveTo(int, int, int, com.threerings.whirled.zone.client.ZoneService.ZoneMoveListener)` request.

  Specified by:
    `moveSucceeded` in interface `ZoneService.ZoneMoveListener`

### moveSucceededWithScene

    public void moveSucceededWithScene(int arg1,
                                       com.threerings.crowd.data.PlaceConfig arg2,
                                       ZoneSummary arg3,
                                       SceneModel arg4)

  Description copied from interface: `ZoneService.ZoneMoveListener`
  Called in response to a successful `ZoneService.moveTo(int, int, int, com.threerings.whirled.zone.client.ZoneService.ZoneMoveListener)` request when our cached scene was out of date and the server determined that we needed an updated copy.

  Specified by:
    `moveSucceededWithScene` in interface `ZoneService.ZoneMoveListener`

### moveSucceededWithUpdates

    public void moveSucceededWithUpdates(int arg1,
                                         com.threerings.crowd.data.PlaceConfig arg2,
                                         ZoneSummary arg3,
                                         SceneUpdate[] arg4)

  Description copied from interface: `ZoneService.ZoneMoveListener`
  Called in response to a successful `ZoneService.moveTo(int, int, int, com.threerings.whirled.zone.client.ZoneService.ZoneMoveListener)` request when our cached scene was out of date and the server determined that we needed some updates.

  Specified by:
    `moveSucceededWithUpdates` in interface `ZoneService.ZoneMoveListener`

### dispatchResponse

    public void dispatchResponse(int methodId,
                                 Object[] args)

  Overrides:
    `dispatchResponse` in class `com.threerings.presents.data.InvocationMarshaller.ListenerMarshaller`

Copyright © 2011. All Rights Reserved.